Vla-getname

提供: GizmoLabs
移動先: 案内検索
構文
(vla-getname vla-object obj ' ' )


機能
ディクショナリ内のオブジェクトの名前(キーワード)を取得する。


引数
  • vla-object … Dictionary のVLAオブジェクト
  • obj … キーワードを調べたいオブジェクト。


戻り値
オブジェクトの名前(キーワード)。


  • たとえば、次のディクショナリでオブジェクト「Object2」を調べると、「SecondKeyword」という名前が返される。
  • MyDictionary
  • Keyword - Object
  • FirstKeyword - Object1
  • SecondKeyword - Object2


サンプル
(vl-load-com)
(defun c:Example_GetName()
    ;; 辞書を作成し、その辞書にカスタムオブジェクトを追加するサンプル。

    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq dictionaries (vla-get-Dictionaries doc))
  
    (setq dictObj (vla-Add dictionaries "TEST_DICTIONARY"))
    
    ;; カスタム オブジェクトを定義した ObjectARX アプリケーションをロードする。
    ;; 注: ここに記載されているアプリケーションが存在しないと実行時エラーになる。
    ;;     ObjectARX アプリケーションの名前とパスにアプリケーション名を変更する。
    (vla-LoadArx acadObj "MyARXApp.dll")
    
    ;; 辞書でカスタム オブジェクトを作成。
    (setq keyName "OBJ1")
    (setq className "CAsdkDictObject")

    (setq customObj (vla-AddObject dictObj keyName className))

    ;; 辞書からオブジェクトのキーワードを見つける
    (setq keyName (vla-GetName dictObj customObj))
)

関連事項